## kdevelop 4.2.3

=== debian/changelog ===
kdevelop (4:4.2.3-1) unstable; urgency=low

  [ Andreas Cord-Landwehr ]
  * New upstream release.

  [ Pino Toscano ]
  * Bump the kdevplatform-dev build dependency to 1.2.3.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 12 Dec 2011 21:22:18 +0100

kdevelop (4:4.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #603063):
    - correctly parse CMake FILE command with GLOB or GLOB_RECURSE.
      (Closes: #609674)

  [ Andreas Cord-Landwehr ]
  * Bump build dependency kdevplatform-dev to version 1.2.0
  * Bump build dependency kdebase-workspace-dev to version 4:4.5.0
  * Merged localization files into one package
    - includes: Catalan (ca), Southern Catalan (cavalencia), Danish (da),
      German (de), British English (engb), Spanish (es), Estonian (et),
      French (fr), Italian (it), Norwegian Bookmal (nb),
      Low Saxon (nds), Dutch (nl), Brazilian Portuguese (ptbr),
      Portuguese (pt), Russian (ru), Slovenian (sl), Swedish (sv),
      Thai (th), Ukrainian (uk), Chinese Simplified (zh_CN),
      Chinese Traditional (zh_TW)
    - add Breaks for all kdevelop-l10n-* packages
    - add Replaces for all kdevelop-l10n-* packages
    - change Recommends to kdevplatform-l10n
  * Add build-dependency for okteta-dev.
  * Add myself to Uploaders.

  [ Nicolás Alvarez ]
  * Add debian/watch file to track upstream versions.
  * Add kdevelop-dbg package with KDevelop debugging symbols. (Closes: #593634)

  [ George Kiagiadakis ]
  * Add myself to uploaders.
  * Drop quilt build dependency and build-depend on pkg-kde-tools 0.9.0
    to be able to build without it.
  * Bump build dependency on kdevplatform-dev to version 1.1.0.
  * Change the Vcs-* fields in debian/control to point to git.
  * Disable the french localization package; not shipped in this release.
  * Update installed files.
  * Bump Standards-Version to 3.9.2 (no changes needed).

  [ Pino Toscano ]
  * Modify depends, recommends and suggests for kdevelop:
    - recommend gcc, g++, make. (Closes: #597642)
    - suggest kapptemplate
    - remove lcov, valgrind

  [ Fathi Boudra ]
  * Add libqtwebkit-dev build dependency. (Closes: #618052)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 02 Jun 2011 11:39:31 +0300

=== debian/control ===
Source: kdevelop
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cdbs, debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.9.0),
 kdevplatform-dev (>= 1.2.3), kdebase-workspace-dev (>= 4:4.5.2),
 libqtwebkit-dev, shared-mime-info, okteta-dev
Standards-Version: 3.9.2
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop.git

Package: kdevelop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 kdevelop-data (>= ${source:Version})
Recommends: gcc, g++, make, gdb (>= 7.0)
Suggests: cmake, kapptemplate, kdevelop-l10n
Description: integrated development environment for KDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.

Package: kdevelop-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the KDevelop IDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains arch independent data for KDevelop.

Package: kdevelop-dev
Architecture: any
Depends: ${misc:Depends}, kdevelop (= ${binary:Version}),
 kdelibs5-dev, kdevplatform-dev
Description: development files for the KDevelop IDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains development files for KDevelop.

Package: kdevelop-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdevelop (= ${binary:Version}), kdelibs5-dbg
Description: debugging symbols for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains debugging symbols for KDevelop.

Package: kdevelop-l10n
Section: localization
Architecture: all
Replaces: kdevelop-l10n-ca, kdevelop-l10n-cavalencia, kdevelop-l10n-da,
 kdevelop-l10n-de, kdevelop-l10n-engb, kdevelop-l10n-es, kdevelop-l10n-et,
 kdevelop-l10n-fi, kdevelop-l10n-fr, kdevelop-l10n-gl, kdevelop-l10n-it,
 kdevelop-l10n-nds, kdevelop-l10n-nl, kdevelop-l10n-ptbr, kdevelop-l10n-pt,
 kdevelop-l10n-ru, kdevelop-l10n-sl, kdevelop-l10n-sv, kdevelop-l10n-th,
 kdevelop-l10n-tr, kdevelop-l10n-uk, kdevelop-l10n-zhcn, kdevelop-l10n-zhtw
Breaks: kdevelop-l10n-ca, kdevelop-l10n-cavalencia, kdevelop-l10n-da,
 kdevelop-l10n-de, kdevelop-l10n-engb, kdevelop-l10n-es, kdevelop-l10n-et,
 kdevelop-l10n-fi, kdevelop-l10n-fr, kdevelop-l10n-gl, kdevelop-l10n-it,
 kdevelop-l10n-nds, kdevelop-l10n-nl, kdevelop-l10n-ptbr, kdevelop-l10n-pt,
 kdevelop-l10n-ru, kdevelop-l10n-sl, kdevelop-l10n-sv, kdevelop-l10n-th,
 kdevelop-l10n-tr, kdevelop-l10n-uk, kdevelop-l10n-zhcn, kdevelop-l10n-zhtw
Recommends: kdevplatform-l10n
Description: Localization files for the KDevelop IDE
 This package contains the translations for KDevelop.

## kdevelop 4.3.1

=== CMakeLists.txt ===
project(KDevelop)

set(KDE4_BUILD_TESTS "ON" CACHE "BOOL" "Enable building of tests" FORCE )

set(CMAKE_MODULE_PATH ${KDevelop_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

set( KDEVELOP_VERSION_MAJOR 4 )
set( KDEVELOP_VERSION_MINOR 3 )
set( KDEVELOP_VERSION_PATCH 1 )

set(KDE_MIN_VERSION "4.5.0")
find_package(KDE4 4.5.0 REQUIRED)

include (KDE4Defaults)
include (MacroLibrary)
include (MacroOptionalAddSubdirectory)

# Make sure that we're having RPATH on our installed libs, else using kdevelop
# from prefixes like $HOME/kdevelop breaks
# Code taken from FindKDE4Internal.cmake from KDE 4.5
list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${LIB_INSTALL_DIR}"
  _isSystemLibDir)
if("${_isSystemLibDir}" STREQUAL "-1")
 set(CMAKE_INSTALL_RPATH "${LIB_INSTALL_DIR}")
endif("${_isSystemLibDir}" STREQUAL "-1")
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

find_package(KDevPlatform 1.3.0 REQUIRED)

include_directories(${KDEVPLATFORM_INCLUDE_DIR})

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories(${KDevelop_SOURCE_DIR} ${KDevelop_BINARY_DIR} ${KDE4_INCLUDES} )

# create config.h
include (ConfigureChecks.cmake)
configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

add_subdirectory(cmake)
add_subdirectory(pics)
add_subdirectory(app)
add_subdirectory(formatters)
add_subdirectory(languages)
add_subdirectory(projectbuilders)
add_subdirectory(projectmanagers)
add_subdirectory(debuggers)
add_subdirectory(app_templates)
add_subdirectory(documentation)
add_subdirectory(providers)
add_subdirectory(utils)
add_subdirectory(doc)
#macro_optional_add_subdirectory(doc)

macro_display_feature_log()


include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== documentation/qthelp/CMakeLists.txt ===
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9045 )
add_subdirectory(tests)
set(kdevqthelp_SRCS
    qthelpplugin.cpp
    qthelpproviderabstract.cpp
    qthelpprovider.cpp
    qthelpdocumentation.cpp
    qthelpqtdoc.cpp
    qthelp_config_shared.cpp
)

kde4_add_plugin(kdevqthelp ${kdevqthelp_SRCS})
target_link_libraries(kdevqthelp
    ${KDE4_KCMUTILS_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KTEXTEDITOR_LIBS} ${QT_QTHELP_LIBRARY} ${QT_QTWEBKIT_LIBRARY}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES} ${KDEVPLATFORM_DOCUMENTATION_LIBRARIES} ${KDEVPLATFORM_INTERFACES_LIBRARIES})

install(TARGETS kdevqthelp DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kdevqthelp.desktop DESTINATION ${SERVICES_INSTALL_DIR})

### Configuration module for QtHelp plugin

set(kdevqthelp_config_SRCS
    qthelpconfig.cpp
    qthelp_config_shared.cpp
)

kde4_add_ui_files(kdevqthelp_config_SRCS qthelpconfig.ui)

kde4_add_plugin( kdevqthelp_config ${kdevqthelp_config_SRCS} )

target_link_libraries( kdevqthelp_config ${KDE4_KUTILS_LIBS} ${KDE4_KIO_LIBS} ${QT_QTHELP_LIBRARY} )

install( TARGETS kdevqthelp_config DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kdevqthelp_config.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== formatters/astyle/CMakeLists.txt ===
include_directories(lib)

set(kdevastyle_PART_SRCS
    astyle_plugin.cpp
    astyle_preferences.cpp
    astyle_formatter.cpp
    lib/ASBeautifier.cpp
    lib/ASEnhancer.cpp
    lib/ASFormatter.cpp
    lib/ASResource.cpp
    lib/astyle_stringiterator.cpp
)

set(astyle_preferences_UI
    astyle_preferences.ui
)

kde4_add_ui_files(kdevastyle_PART_SRCS ${astyle_preferences_UI} )
kde4_add_plugin(kdevastyle ${kdevastyle_PART_SRCS})
target_link_libraries(kdevastyle
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KPARTS_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KTEXTEDITOR_LIBS}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_PROJECT_LIBRARIES}
    ${KDEVPLATFORM_UTIL_LIBRARIES})

install(TARGETS kdevastyle DESTINATION ${PLUGIN_INSTALL_DIR} )

install( FILES kdevastyle.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

add_subdirectory(tests)

=== pics/misc/CMakeLists.txt ===

########### install files ###############

kde4_install_icons(${DATA_INSTALL_DIR}/kdevelop/icons)

install(FILES kdevelop-splash.png
    DESTINATION ${DATA_INSTALL_DIR}/kdevelop/pics )

=== projectmanagers/custommake/CMakeLists.txt ===
project(custommakemanager)
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9025 )
# add_subdirectory(tests)

include_directories(
    ${makebuilder_SOURCE_DIR}
    )


########### next target ###############

set(kdevcustommakemanager_PART_SRCS
    custommakemanager.cpp
    custommakemodelitems.cpp
)


kde4_add_plugin(kdevcustommakemanager ${kdevcustommakemanager_PART_SRCS})
target_link_libraries( kdevcustommakemanager
                    ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDEVPLATFORM_INTERFACES_LIBRARIES} ${KDEVPLATFORM_PROJECT_LIBRARIES} ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
)

install(TARGETS kdevcustommakemanager DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES kdevcustommakemanager.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevcustommakemanager.rc DESTINATION ${DATA_INSTALL_DIR}/kdevcustommakemanager )

=== languages/cpp/cppduchain/CMakeLists.txt ===
########### next target ###############

#First remove the cpp language part default area, then set our own
remove_definitions( -DKDE_DEFAULT_DEBUG_AREA=9007 )
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9041 )

add_subdirectory(tests)

include_directories(
    ${cpp_SOURCE_DIR}
    ${cpp_BINARY_DIR}
)

########### next target ###############

set(kdevcppduchain_LIB_SRCS
    adlhelper.cpp 
    sourcemanipulation.cpp
    missingdeclarationtype.cpp
    missingdeclarationproblem.cpp
    missingdeclarationassistant.cpp
    contextbuilder.cpp
    declarationbuilder.cpp
    typebuilder.cpp
    usebuilder.cpp
    cppeditorintegrator.cpp
    dumpchain.cpp
    cpptypes.cpp
    ptrtomembertype.cpp
    dumptypes.cpp
    environmentmanager.cpp
    cppduchain.cpp
    templateparameterdeclaration.cpp
    qtfunctiondeclaration.cpp
    qpropertydeclaration.cpp
    cppducontext.cpp
    typeutils.cpp
    templatedeclaration.cpp
    cpppreprocessenvironment.cpp
    expressionparser.cpp
    expressionvisitor.cpp
    typeconversion.cpp
    overloadresolution.cpp
    viablefunctions.cpp
    overloadresolutionhelper.cpp
    name_visitor.cpp
    type_visitor.cpp
    builtinoperators.cpp
    expressionevaluationresult.cpp
    navigation/navigationwidget.cpp
    navigation/declarationnavigationcontext.cpp
    navigation/includenavigationcontext.cpp
    navigation/macronavigationcontext.cpp
)

# Note: This library doesn't follow API/ABI/BC rules and shouldn't have a SOVERSION
#       Its only purpose is to support the plugin without needing to add all source files
#       to the plugin target

kde4_add_library(kdev4cppduchain SHARED ${kdevcppduchain_LIB_SRCS})
target_link_libraries(kdev4cppduchain 
		${KDEVPLATFORM_LANGUAGE_LIBRARIES} 
		${KDEVPLATFORM_INTERFACES_LIBRARIES} 
		${KDEVPLATFORM_UTIL_LIBRARIES} 
		kdev4cppparser 
		${KDE4_KTEXTEDITOR_LIBS} 
		kdev4cpprpp)
install(TARGETS kdev4cppduchain ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

# install(FILES
#     expressionparser.h
#     expressionvisitor.h
#     typeconversion.h
#     DESTINATION ${INCLUDE_INSTALL_DIR}/kdevelop/cpp/expressionparser
#
# )

=== languages/cpp/cppduchain/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories(
    ${KDevelop_SOURCE_DIR}/languages/cpp
    ${KDevelop_SOURCE_DIR}/languages/cpp/parser
    ${KDevelop_BINARY_DIR}/languages/cpp
)

########### next target ###############

set(expressionparsertest_SRCS test_expressionparser.cpp testhelper.cpp)


kde4_add_unit_test(cppexpressionparsertest ${expressionparsertest_SRCS})
target_link_libraries(cppexpressionparsertest ${KDE4_KDECORE_LIBS} ${KDE4_KTEXTEDITOR_LIBRARY} ${QT_QTTEST_LIBRARY}
    kdev4cppparser kdev4cpprpp ${KDEVPLATFORM_LANGUAGE_LIBRARIES} kdev4cppduchain ${KDEVPLATFORM_TESTS_LIBRARIES}  )


include_directories(
    ${KDevelop_SOURCE_DIR}/languages/cpp/parser
    ${KDevelop_SOURCE_DIR}/languages/cpp
)

########### next target ###############

set(duchaintest_SRCS test_duchain.cpp test_duchain_cpp2011.cpp testhelper.cpp)


kde4_add_unit_test(duchaintest ${duchaintest_SRCS})
target_link_libraries(duchaintest ${KDE4_KDECORE_LIBS} ${KDE4_KTEXTEDITOR_LIBRARY} ${QT_QTTEST_LIBRARY}
    kdev4cppparser kdev4cpprpp kdev4cppduchain ${KDEVPLATFORM_LANGUAGE_LIBRARIES} ${KDEVPLATFORM_TESTS_LIBRARIES})

########### next target ###############

set(sourcemanipulationtest_SRCS test_sourcemanipulation.cpp testhelper.cpp)


kde4_add_unit_test(sourcemanipulationtest ${sourcemanipulationtest_SRCS})
target_link_libraries(sourcemanipulationtest ${KDE4_KDECORE_LIBS} ${KDE4_KTEXTEDITOR_LIBRARY} ${QT_QTTEST_LIBRARY}
    kdev4cppparser kdev4cpprpp kdev4cppduchain ${KDEVPLATFORM_LANGUAGE_LIBRARIES} ${KDEVPLATFORM_TESTS_LIBRARIES})

=== debian/changelog ===
kdevelop (4:4.3.1-3) unstable; urgency=low

  * Team upload.
  * Fix parallel building; patch fix-parallel.diff.

 -- Pino Toscano <pino@debian.org>  Mon, 21 May 2012 12:52:03 +0200

kdevelop (4:4.3.1-2) unstable; urgency=low

  * Team upload. Upload to unstable.
  * Slightly improve the description of kdevelop-l10n.

 -- Pino Toscano <pino@debian.org>  Sun, 20 May 2012 11:46:44 +0200

kdevelop (4:4.3.1-1) experimental; urgency=low

  * Team upload.

  [ Andreas Cord-Landwehr ]
  * New upstream release:
    - fixes building with GCC 4.7. (Closes: #672065)
  * Bump build dependency kdevplatform-dev to version 1.3.1
  * Update build dependency from kdebase-workspace-dev to kde-workspace-dev.
  * Update debian/copyright.
  * Update patch.
  * Bump Standards-Version to 3.9.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 18 May 2012 18:14:14 +0200

kdevelop (4:4.2.3-2) unstable; urgency=medium

  * Team upload.
  * Detect whether the Okteta structure tool is compiled, and if it is not
    do not use it in the Okteta plugin; this fixes compilation on architectures
    with no structures tool, i.e. big endian ones.
    (patch okteta_optional_structures_tool.diff)
  * Set urgency=medium as it fixes a FTBFS, and to avoid blocking the KDE 4.7
    transition too much.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Mar 2012 16:38:14 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  George Kiagiadakis <kiagiadakis.george@gmail.com>,
  Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cdbs, debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.9.0),
- kdevplatform-dev (>= 1.2.3), kdebase-workspace-dev (>= 4:4.5.2),
+ kdevplatform-dev (>= 1.3.1), kde-workspace-dev (>= 4:4.5.2),
  libqtwebkit-dev, shared-mime-info, okteta-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.kdevelop.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop.git
 Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop.git
@@ -85,6 +85,10 @@
  kdevelop-l10n-ru, kdevelop-l10n-sl, kdevelop-l10n-sv, kdevelop-l10n-th,
  kdevelop-l10n-tr, kdevelop-l10n-uk, kdevelop-l10n-zhcn, kdevelop-l10n-zhtw
 Recommends: kdevplatform-l10n
-Description: Localization files for the KDevelop IDE
+Description: localization files for the KDevelop IDE
+ KDevelop is an easy to use integrated development environment for KDE.
+ It supports a wide range of programming languages and features project
+ management, an advanced editor, a class browser and an integrated debugger.
+ .
  This package contains the translations for KDevelop.

## kdevelop 4.3.90

=== debian/changelog ===
kdevelop (4:4.3.90-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 10 Sep 2012 08:23:02 +0100

kdevelop (4:4.3.80-0ubuntu1) quantal; urgency=low

  * New upstream beta release
  * Remove kubuntu_01_appmenu_fix.diff now upstream
  * Don't apply compileWithOkteta0.9.diff no longer needed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Aug 2012 15:52:07 +0100

kdevelop (4:4.3.1-3ubuntu2) quantal; urgency=low

  * Add compileWithOkteta0.9.diff from upstream to enable building against
    Okteta 0.9 with KDevelop 4.3.x.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 15 Jun 2012 00:12:49 -0400

kdevelop (4:4.3.1-3ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining changes:
    - Keep kubuntu_01_appmenu_fix.diff
    - kdevelop-l10n replaces/breaks kdevelop-data (<< 4:4.3.1-3ubuntu1) due
      to file moves from this merge. Can be dropped next LTS.
    - Keep suggestion of kdevelop-custom-buildsystem by kdevelop
  * Drop kdevelop-custom-buildsystem from a recommendation to a suggestion.
    Being a recommends seems a bit strict for a very optional plugin.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 03 Jun 2012 21:01:59 -0400

kdevelop (4:4.3.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream release
  * Add watch file

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 15 Apr 2012 20:48:50 +0200

kdevelop (4:4.3.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 22 Mar 2012 12:35:48 +0000

kdevelop (4:4.2.90-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 10 Mar 2012 18:07:30 +0100

kdevelop (4:4.2.81-0ubuntu2) precise; urgency=low

  * Disable StructureToolsView on BIG_ENDIAN since it is disabled in kdesdk
    as well. Fixes FTBFS on powerpc.

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 02 Feb 2012 03:27:49 +0000

kdevelop (4:4.2.81-0ubuntu1) precise; urgency=low

  * New upstream release
    - Bump kdevplatform-dev requirement
    - Refresh install files
    - Install KDevelop documentation
    - Recommend new package kdevelop-custom-buildsystem

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 17 Jan 2012 18:05:47 +0530

kdevelop (4:4.2.3-0ubuntu5) precise; urgency=low

  * Add kubuntu_02_okteta_kde_48_libraries.diff from upstream to build with
    Okteta from KDE SC 4.8

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Dec 2011 22:50:15 +0000

kdevelop (4:4.2.3-0ubuntu4) precise; urgency=low

  * Recompile for KDE SC 4.8, okteta libraries changed remove okteta kpart files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Dec 2011 17:38:03 +0000

kdevelop (4:4.2.3-0ubuntu3) precise; urgency=low

  * Rebuild against libsublime3.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 19 Dec 2011 10:22:55 +0100

kdevelop (4:4.2.3-0ubuntu2) precise; urgency=low

  * No-change rebuild against liboktetakastencontrollers4abi1.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 07 Dec 2011 08:25:22 +0100

kdevelop (4:4.2.3-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Add libqtwebkit-dev as a build dep
    - kdebase-workspace-dev is now kde-workspace-dev
  * Add cdbs back to build deps
    - Add a lintian override for cdbs

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 11 Jul 2011 18:15:59 +0530

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kdevelop
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>,
  George Kiagiadakis <kiagiadakis.george@gmail.com>,
  Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cdbs, debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.9.0),
- kdevplatform-dev (>= 1.3.1), kde-workspace-dev (>= 4:4.5.2),
+ kdevplatform-dev (>= 1.3.80), kde-workspace-dev (>= 4:4.5.2),
  libqtwebkit-dev, shared-mime-info, okteta-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kdevelop.org/
@@ -18,7 +19,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends},
  kdevelop-data (>= ${source:Version})
 Recommends: gcc, g++, make, gdb (>= 7.0)
-Suggests: cmake, kapptemplate, kdevelop-l10n
+Suggests: cmake, kapptemplate, kdevelop-l10n, kdevelop-custom-buildsystem
 Description: integrated development environment for KDE
  KDevelop is an easy to use integrated development environment for KDE.
  It supports a wide range of programming languages and features project
@@ -77,13 +78,15 @@
  kdevelop-l10n-fi, kdevelop-l10n-fr, kdevelop-l10n-gl, kdevelop-l10n-it,
  kdevelop-l10n-nds, kdevelop-l10n-nl, kdevelop-l10n-ptbr, kdevelop-l10n-pt,
  kdevelop-l10n-ru, kdevelop-l10n-sl, kdevelop-l10n-sv, kdevelop-l10n-th,
- kdevelop-l10n-tr, kdevelop-l10n-uk, kdevelop-l10n-zhcn, kdevelop-l10n-zhtw
+ kdevelop-l10n-tr, kdevelop-l10n-uk, kdevelop-l10n-zhcn, kdevelop-l10n-zhtw,
+ kdevelop-data (<< 4:4.3.1-3ubuntu1)
 Breaks: kdevelop-l10n-ca, kdevelop-l10n-cavalencia, kdevelop-l10n-da,
  kdevelop-l10n-de, kdevelop-l10n-engb, kdevelop-l10n-es, kdevelop-l10n-et,
  kdevelop-l10n-fi, kdevelop-l10n-fr, kdevelop-l10n-gl, kdevelop-l10n-it,
  kdevelop-l10n-nds, kdevelop-l10n-nl, kdevelop-l10n-ptbr, kdevelop-l10n-pt,
  kdevelop-l10n-ru, kdevelop-l10n-sl, kdevelop-l10n-sv, kdevelop-l10n-th,
- kdevelop-l10n-tr, kdevelop-l10n-uk, kdevelop-l10n-zhcn, kdevelop-l10n-zhtw
+ kdevelop-l10n-tr, kdevelop-l10n-uk, kdevelop-l10n-zhcn, kdevelop-l10n-zhtw,
+ kdevelop-data (<< 4:4.3.1-3ubuntu1)
 Recommends: kdevplatform-l10n
 Description: localization files for the KDevelop IDE
  KDevelop is an easy to use integrated development environment for KDE.

## kdevelop 4.4.1

=== debian/changelog ===
kdevelop (4:4.4.1-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074875)
    - Drop okteta_optional_structures_tool.diff
      + Use upstream's solution

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 04 Nov 2012 23:08:10 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

binary-install/kdevelop::
	install -D -p -m0644 debian/kdevelop.xpm \
		debian/kdevelop/usr/share/pixmaps/kdevelop.xpm

# Work around a conflict with kapptemplate
binary-install/kdevelop-data::
	find debian/$(cdbs_curpkg) -type f -name qmake_qt4guiapp.tar.bz2 | xargs rm -f

DEB_DBG_PACKAGE_kdevelop := kdevelop-dbg

## kdevelop 4.5.1

=== debian/changelog ===
kdevelop (4:4.5.1-2b1) staging; urgency=low

  * No-change rebuild against KDE 4.11

 -- Tanglu AutoRebuilder <dak-rebuild@tanglu.org>  Tue, 03 Dec 2013 13:40:05 +0100

kdevelop (4:4.5.1-2) unstable; urgency=low

  * Team upload. Upload to unstable.

  [ Andreas Cord-Landwehr ]
  * Fix build on big endian platforms.
  * Release fixes parser crashes: (Closes: #721968, #719284)

  [ Pino Toscano ]
  * Bump the okteta-dev build dependency to > 4.10, as previous versions are
    not recognized. (Closes: #718076)
  * Fix Vcs-* headers.

 -- Pino Toscano <pino@debian.org>  Fri, 06 Sep 2013 19:46:51 +0200

kdevelop (4:4.5.1-1) experimental; urgency=low

  [ Pino Toscano ]
  * Make kdevelop-data break/replace kdevelop-doc << 4.3 (it was part of
    kdevelop 3.5).

  [ Andreas Cord-Landwehr]
  * Bump build dependency for kdevplatform-dev to 1.5.1.
  * Remove patch for compile switch for Okteta structure tool since
    BIG_ENDIAN compile switch implemented by upstream
    (remove patch okteta_optional_structures_tool.diff)
  * Add libqjson-dev build dependency.
  * New upstream release:
    - fixes parsing of libc header files (Closes: #707215)
  * Bump Standards-Version to 3.9.4: no changes needed.
  * Update copyright.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 25 May 2012 23:56:49 +0200

=== debian/control ===
Source: kdevelop
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cdbs,
               cmake,
               debhelper (>= 7.4.15),
               kde-workspace-dev (>= 4:4.5.2),
               kdevplatform-dev (>= 1.5.1),
               libqtwebkit-dev,
               okteta-dev (>= 4:4.10),
               pkg-kde-tools (>= 0.9.0),
               libqjson-dev,
               shared-mime-info
Standards-Version: 3.9.4
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop.git

Package: kdevelop
Architecture: any
Depends: kdevelop-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: g++, gcc, gdb (>= 7.0), make
Suggests: cmake, kapptemplate, kdevelop-l10n
Description: integrated development environment for KDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.

Package: kdevelop-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kdevelop-doc (<< 4:4.3)
Replaces: kdevelop-doc (<< 4:4.3)
Description: data files for the KDevelop IDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains arch independent data for KDevelop.

Package: kdevelop-dev
Architecture: any
Depends: kdelibs5-dev,
         kdevelop (= ${binary:Version}),
         kdevplatform-dev,
         ${misc:Depends}
Description: development files for the KDevelop IDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains development files for KDevelop.

Package: kdevelop-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdelibs5-dbg, kdevelop (= ${binary:Version})
Description: debugging symbols for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains debugging symbols for KDevelop.

Package: kdevelop-l10n
Section: localization
Architecture: all
Replaces: kdevelop-l10n-ca,
          kdevelop-l10n-cavalencia,
          kdevelop-l10n-da,
          kdevelop-l10n-de,
          kdevelop-l10n-engb,
          kdevelop-l10n-es,
          kdevelop-l10n-et,
          kdevelop-l10n-fi,
          kdevelop-l10n-fr,
          kdevelop-l10n-gl,
          kdevelop-l10n-it,
          kdevelop-l10n-nds,
          kdevelop-l10n-nl,
          kdevelop-l10n-pt,
          kdevelop-l10n-ptbr,
          kdevelop-l10n-ru,
          kdevelop-l10n-sl,
          kdevelop-l10n-sv,
          kdevelop-l10n-th,
          kdevelop-l10n-tr,
          kdevelop-l10n-uk,
          kdevelop-l10n-zhcn,
          kdevelop-l10n-zhtw
Breaks: kdevelop-l10n-ca,
        kdevelop-l10n-cavalencia,
        kdevelop-l10n-da,
        kdevelop-l10n-de,
        kdevelop-l10n-engb,
        kdevelop-l10n-es,
        kdevelop-l10n-et,
        kdevelop-l10n-fi,
        kdevelop-l10n-fr,
        kdevelop-l10n-gl,
        kdevelop-l10n-it,
        kdevelop-l10n-nds,
        kdevelop-l10n-nl,
        kdevelop-l10n-pt,
        kdevelop-l10n-ptbr,
        kdevelop-l10n-ru,
        kdevelop-l10n-sl,
        kdevelop-l10n-sv,
        kdevelop-l10n-th,
        kdevelop-l10n-tr,
        kdevelop-l10n-uk,
        kdevelop-l10n-zhcn,
        kdevelop-l10n-zhtw
Recommends: kdevplatform-l10n
Description: localization files for the KDevelop IDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the translations for KDevelop.

## kdevelop 4.5.2

=== debian/changelog ===
kdevelop (4:4.5.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Remove patch okteta_optional_structures_tool.diff, applied upstream.
  * Bump build dependency for kdevplatform-dev to 1.5.2.
  * Bump Standards-Version to 3.9.5: no changes needed.
  * Update debian/watch file to track xz compressed tarballs (Closes: #731896)

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2014 10:13:08 +0100

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                cmake,
                debhelper (>= 7.4.15),
                kde-workspace-dev (>= 4:4.5.2),
-               kdevplatform-dev (>= 1.5.1),
+               kdevplatform-dev (>= 1.5.2),
                libqtwebkit-dev,
                okteta-dev (>= 4:4.10),
                pkg-kde-tools (>= 0.9.0),
                libqjson-dev,
                shared-mime-info
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.kdevelop.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop.git

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kdevelop/([\d.]+)/src/kdevelop-([\d.]+).tar.(?:bz2|xz)
